#ifndef TIMER_H
#define TIMER_H

#include <QThread>

class Timer : public QThread
{
    Q_OBJECT

public:
    Timer(QObject *parent = 0);
    ~Timer();
    void run();
signals:
    void howl();
private:
    int offset;
};

#endif // TIMER_H

#ifndef QRwho_H
#define QRwho_H

#include <QtGui/QMainWindow>
#include "ui_qrwho.h"
#include "qrwhopc.h"

class QRwho : public QMainWindow
{
    Q_OBJECT

public:
    QRwho(QWidget *parent = 0, Qt::WFlags flags = 0);
    ~QRwho();
signals:
    void showOut(QString output);

private slots:
    void CheckHosts();
    QStringList ListFromString(QString str);
    int indexOfPc(QString name);
    void SearchHost();

private:
    Ui::QRwhoClass ui;
    XRwhoPC *pcs[250];
    QString pc[250];
    int pclength;
    int column;
    int row;
    int columns;
    void addHost(QString name);
    void addUser(QString name, int n);
    void addLoad(QString name, int n);
    QString stripWhiteSpaces(QString str);
    int indexOfCount(QString str, QString substr, int n);
    void setHostFocus(QString host);
    void removeHosts();
    void removeUser();
    void process_config(QByteArray);
    Timer *t;
    QString NodeCMD1;
    QString NodeCMD2;
    QString NodeCMD3;
    QString NodeCMD4;
    QString NodeCMD5;
    float MaxLoad;
    int min_red, min_green, min_blue;
    int max_red, max_green, max_blue;
    float getMaxLoad(int n);
    bool cmds_on_off;

protected:
    virtual void resizeEvent(QResizeEvent *e);
};

#endif // QRwho_H
