#include "qrwhopc.h"
#include "ui_qrwhopc.h"
#include "qmessagebox.h"
#include "shellwindow.h"

XRwhoPC::XRwhoPC(QWidget *parent, QString cmd1, QString cmd2, QString cmd3, QString cmd4, QString cmd5) :
    QWidget(parent),
    m_ui(new Ui::XRwhoPC)
{
    m_ui->setupUi(this);
    NodeCMD1 = cmd1;
    NodeCMD2 = cmd2;
    NodeCMD3 = cmd3;
    NodeCMD4 = cmd4;
    NodeCMD5 = cmd5;
    max_load=0;
    m_ui->label_4->hide();
}

XRwhoPC::~XRwhoPC()
{
    delete m_ui;
}

void XRwhoPC::changeEvent(QEvent *e)
{
    switch(e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void XRwhoPC::setPCName(QString name){
    emit setNameLabel(name);
}

void XRwhoPC::setLoad(QString load){
    emit setLoadLabel(QString("load: ")+load);
}

QString XRwhoPC::getPCName(){
    return m_ui->label->text();
}

void XRwhoPC::showDead(){
    m_ui->label_4->show();
}

void XRwhoPC::hideDead(){
    m_ui->label_4->hide();
}

void XRwhoPC::hideCMDS(){
    m_ui->pushButton->hide();
    m_ui->pushButton_2->hide();
    m_ui->pushButton_3->hide();
    m_ui->pushButton_4->hide();
    m_ui->pushButton_5->hide();
}

void XRwhoPC::showCMDS(){
    m_ui->pushButton->show();
    m_ui->pushButton_2->show();
    m_ui->pushButton_3->show();
    m_ui->pushButton_4->show();
    m_ui->pushButton_5->show();
}

void XRwhoPC::clearUser(){
    //m_ui->listWidget->clear();
    //m_ui->listWidget->hide();
    m_ui->label_3->hide();
    emit setUserLabel(QString(""));
}

int XRwhoPC::indexOfUser(QString name){
    int index = -1;
    //for (int i=0;i<m_ui->listWidget->count();i++){
    //    if(m_ui->listWidget->item(i)->text() == name){
    //        index = i;
    //    }
    //}

    index = m_ui->label_3->text().indexOf(name+QString(" "));

    return index;
}

void XRwhoPC::addUser(QString name){
    //bool add = 1;
    //for (int i=0;i<m_ui->listWidget->count();i++){
    //    if(m_ui->listWidget->item(i)->text() == name){
    //        add = 0;
    //   }
    //}
    //if(add)
    //    m_ui->listWidget->addItem(name);
    //m_ui->listWidget->show();
    m_ui->label_3->show();
    if ( indexOfUser(name) == -1 ){
        if(m_ui->label_3->text().length() == 0){
            emit setUserLabel(name+QString(" "));
        }else{
            emit setUserLabel(m_ui->label_3->text()+QString("\n")+name+QString(" "));
        }
    }
}

void XRwhoPC::startCMD1(){
    ShellWindow *w = new ShellWindow(this);
    w->show();
    w->startCmd(QString("ssh ")+m_ui->label->text()+QString(" -C ")+NodeCMD1);
}

void XRwhoPC::startCMD2(){
    ShellWindow *w = new ShellWindow(this);
    w->show();
    w->startCmd(QString("ssh ")+m_ui->label->text()+QString(" -C ")+NodeCMD2);
}

void XRwhoPC::startCMD3(){
    ShellWindow *w = new ShellWindow(this);
    w->show();
    w->startCmd(QString("ssh ")+m_ui->label->text()+QString(" -C ")+NodeCMD3);
}

void XRwhoPC::startCMD4(){
    ShellWindow *w = new ShellWindow(this);
    w->show();
    w->startCmd(QString("ssh ")+m_ui->label->text()+QString(" -C ")+NodeCMD4);
}

void XRwhoPC::startCMD5(){
    ShellWindow *w = new ShellWindow(this);
    w->show();
    w->startCmd(QString("ssh ")+m_ui->label->text()+QString(" -C ")+NodeCMD5);
}

void XRwhoPC::alert(){
    QPalette p = this->palette();
    p.setColor(QPalette::Window,QColor("pink"));
    this->setPalette(p);
}

void XRwhoPC::normal(QColor c){
    QPalette p = this->palette();
    p.setColor(QPalette::Window,c);
    this->setPalette(p);
}

