#include "shellwindow.h"
#include "ui_shellwindow.h"

ShellWindow::ShellWindow(QWidget *parent) :
    QDialog(parent),
    m_ui(new Ui::ShellWindow)
{
    m_ui->setupUi(this);
}

ShellWindow::~ShellWindow()
{
    delete m_ui;
}

void ShellWindow::changeEvent(QEvent *e)
{
    switch(e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void ShellWindow::startCmd(QString str){
    bool wait = true;
    cmd.start(str);
    while(wait){
        if(!cmd.waitForReadyRead()){
            wait=false;
        }
    }
    emit cmdOut(cmd.readAllStandardOutput());
}

void ShellWindow::writeCmd(){
    bool wait = true;
    cmd.write(m_ui->lineEdit->text().toAscii().data());
    while(wait){
        if(!cmd.waitForReadyRead()){
            wait=false;
        }
    }
    emit clearCmd();
    emit cmdOut(cmd.readAllStandardOutput());
}
